Bug 1068 fixed for auth_url in keystone
[osm/NBI.git] / setup.py
index ad7cdd5..67c1740 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -47,18 +47,15 @@ setup(
     # data_files=[('/etc/osm/', ['osm_nbi/nbi.cfg']),
     #             ('/etc/systemd/system/', ['osm_nbi/osm-nbi.service']),
     #             ],
     # data_files=[('/etc/osm/', ['osm_nbi/nbi.cfg']),
     #             ('/etc/systemd/system/', ['osm_nbi/osm-nbi.service']),
     #             ],
-    dependency_links=[
-        "git+https://osm.etsi.org/gerrit/osm/IM.git#egg=osm-im",
-        'git+https://osm.etsi.org/gerrit/osm/common.git#egg=osm-common'
-    ],
     install_requires=[
         'CherryPy==18.1.2',
     install_requires=[
         'CherryPy==18.1.2',
-        'osm-common',
+        'osm-common @ git+https://osm.etsi.org/gerrit/osm/common.git#egg=osm-common',
         'jsonschema',
         'PyYAML',
         'jsonschema',
         'PyYAML',
-        'osm-im',
+        'osm-im @ git+https://osm.etsi.org/gerrit/osm/IM.git#egg=osm-im',
         'python-keystoneclient',
         'python-keystoneclient',
-        'requests'
+        'requests',
+        'aiohttp>=2.3.10',
     ],
     setup_requires=['setuptools-version-command'],
 )
     ],
     setup_requires=['setuptools-version-command'],
 )